#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>
#include <ESP8266HTTPClient.h>

#define USE_SERIAL Serial

ESP8266WiFiMulti WiFiMulti;
const int JaPin = 0;            // D3 Pin für den Ja Buzzer 
const int NeinPin = 2;          // D4 Pin für den Nein Buzzer 

int buttonStateJa = 0;          // variable für den Ja Buzzer
int buttonStateNein = 0;        // variable für den Nein Buzzer

void setup() {

  Serial.begin(115200);

  for (uint8_t t = 4; t > 0; t--) {
    Serial.printf("[SETUP] warten %d...\n", t);
    Serial.flush();
    delay(1000);
  }

  WiFiMulti.addAP("SSID", "Passwort");  // W-Lan SSID und Passwort hier eintragen

  pinMode(JaPin, INPUT_PULLUP);
  pinMode(NeinPin, INPUT_PULLUP);


}

void loop() {

    // Ja Buzzer status lesen
  buttonStateJa = digitalRead(JaPin);
  if (buttonStateJa == LOW) {
    Serial.print("Ja\n");
    Ja();
  }
  
  // Nein Buzzer status lesen
  buttonStateNein = digitalRead(NeinPin);
  if (buttonStateNein == LOW) {
    Serial.print("Nein\n");
    Nein();
  }

}


void Ja() {
  //  WiFi testen
  if ((WiFiMulti.run() == WL_CONNECTED)) {

    HTTPClient http;
    Serial.print("[HTTP] wird aufgerufen...\n");
    http.begin("http://DEINEWEBSITE.TLD/update.php/?J=1"); //HTTP
    int httpCode = http.GET();

    // httpCode will be negative on error
    if (httpCode > 0) {
      // HTTP header has been send and Server response header has been handled
      Serial.printf("[HTTP] GET... code: %d\n", httpCode);

      if (httpCode == HTTP_CODE_OK) {
        String payload = http.getString();
        Serial.println(payload);
      }
    } else {
      Serial.printf("[HTTP] GET... failed, error: %s\n", http.errorToString(httpCode).c_str());
    }

    http.end();
    delay(3000);
  }
}

void Nein() {
 //  WiFi testen
  if ((WiFiMulti.run() == WL_CONNECTED)) {

    HTTPClient http;
    Serial.print("[HTTP] begin...\n");
    http.begin("http://DEINEWEBSITE.TLD/update.php/?N=1"); //HTTP

    Serial.print("[HTTP] GET...\n");
    int httpCode = http.GET();

    // httpCode will be negative on error
    if (httpCode > 0) {
      // HTTP header has been send and Server response header has been handled
      Serial.printf("[HTTP] GET... code: %d\n", httpCode);

      if (httpCode == HTTP_CODE_OK) {
        String payload = http.getString();
        Serial.println(payload);
      }
    } else {
      Serial.printf("[HTTP] GET... failed, error: %s\n", http.errorToString(httpCode).c_str());
    }

    http.end();
    delay(3000);
  }

}

